# Uses of Interface
org.eclipse.emf.cdo.lm.System

Packages that use System
Package
Description
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.reviews.impl
org.eclipse.emf.cdo.lm.server
Server integration of the CDO Lifecycle Management.
org.eclipse.emf.cdo.lm.util
The generated EMF utilities of the CDO Lifecycle Management model.

## Uses of System in org.eclipse.emf.cdo.lm

Methods in org.eclipse.emf.cdo.lm that return System
Modifier and Type
Method
Description
`System`
LMFactory.`createSystem()`
Returns a new object of class 'System'.
`System`
Module.`getSystem()`
Returns the value of the 'System' container reference.
`System`
Process.`getSystem()`
Returns the value of the 'System' container reference.
`System`
SystemElement.`getSystem()`
Methods in org.eclipse.emf.cdo.lm with parameters of type System
Modifier and Type
Method
Description
`void`
Module.`setSystem(System value)`
Sets the value of the '`System`' container reference.
`void`
Process.`setSystem(System value)`
Sets the value of the '`System`' container reference.

## Uses of System in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client that return System
Modifier and Type
Method
Description
`System`
ISystemDescriptor.`getSystem()`
`System`
ISystemManager.SystemEvent.`getSystem()`
Method parameters in org.eclipse.emf.cdo.lm.client with type arguments of type System
Modifier and Type
Method
Description
`<R> R`
ISystemDescriptor.`modify(Function<System,R> modifier, IProgressMonitor monitor)`

## Uses of System in org.eclipse.emf.cdo.lm.impl

Classes in org.eclipse.emf.cdo.lm.impl that implement System
Modifier and Type
Class
Description
`class`
`SystemImpl`
An implementation of the model object 'System'.
Methods in org.eclipse.emf.cdo.lm.impl that return System
Modifier and Type
Method
Description
`System`
LMFactoryImpl.`createSystem()`
`System`
BaselineImpl.`getSystem()`
`System`
DependencyImpl.`getSystem()`
`System`
DropTypeImpl.`getSystem()`
`System`
ModuleImpl.`getSystem()`
`System`
ModuleTypeImpl.`getSystem()`
`System`
ProcessElementImpl.`getSystem()`
`System`
ProcessImpl.`getSystem()`
Methods in org.eclipse.emf.cdo.lm.impl with parameters of type System
Modifier and Type
Method
Description
`NotificationChain`
ModuleImpl.`basicSetSystem(System newSystem, NotificationChain msgs)`
`NotificationChain`
ProcessImpl.`basicSetSystem(System newSystem, NotificationChain msgs)`
`void`
ModuleImpl.`setSystem(System newSystem)`
`void`
ProcessImpl.`setSystem(System newSystem)`

## Uses of System in org.eclipse.emf.cdo.lm.reviews.impl

Methods in org.eclipse.emf.cdo.lm.reviews.impl that return System
Modifier and Type
Method
Description
`System`
CommentImpl.`getSystem()`
`System`
ReviewTemplateImpl.`getSystem()`
`abstract System`
TopicContainerImpl.`getSystem()`
`System`
TopicImpl.`getSystem()`

## Uses of System in org.eclipse.emf.cdo.lm.server

Methods in org.eclipse.emf.cdo.lm.server that return System
Modifier and Type
Method
Description
`final System`
AbstractLifecycleManager.`getSystem()`

## Uses of System in org.eclipse.emf.cdo.lm.util

Methods in org.eclipse.emf.cdo.lm.util with parameters of type System
Modifier and Type
Method
Description
`T`
LMSwitch.`caseSystem(System object)`
Returns the result of interpreting the object as an instance of 'System'.